# coding=utf-8
"""
Script to run the tests for EarthDiagnostics and generate the code coverage report
"""


import os
import sys
work_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
os.chdir(work_path)
print(work_path)
import coverage
import unittest

cov = coverage.Coverage()
cov.start()
if len(sys.argv) == 1:
    suite = unittest.TestLoader().discover('.')
else:
    suite = unittest.TestLoader().discover('.', pattern=sys.argv[1])


unittest.TextTestRunner(verbosity=2).run(suite)
cov.stop()

cov.save()
cov.report()
cov.html_report()



